<template>
    <div class="pd10">
        <el-tabs v-model="activeName" type="border-card">
            <el-tab-pane label="主网监测点台账审核" name="first" :style="'height:' + vh + ';'">
                <MainNetworkAudit v-if="activeName == 'first'" />
            </el-tab-pane>
            <el-tab-pane label="配网监测点台账审核" name="second" :style="'height:' + vh + ';'">
                <DistributionNetworkReview v-if="activeName == 'second'" />
            </el-tab-pane>
        </el-tabs>
    </div>
</template>
<script>
import MainNetworkAudit from './components/Accountreview/MainNetworkAudit'
import DistributionNetworkReview from './components/Accountreview/DistributionNetworkReview'
export default {
    name: 'tzshck',
    components: { DistributionNetworkReview, MainNetworkAudit },
    props: {},
    data() {
        return {
            vh: '',
            activeName: 'first'
        }
    },
    created() {},
    mounted() {
      this.setHeight()

        window.addEventListener('resize', this.setHeight)
    },
    methods: {
        setHeight() {
        
            this.vh = window.sessionStorage.getItem('appheight') - 83 + 'px'
        }
    },
    beforeDestroy() {
        window.removeEventListener('resize', this.setHeight)
    },
    computed: {},

    watch: {}
}
</script>
<style lang="less" scoped>
@import url('../../styles/comStyle.less');
::v-deep .el-tabs--border-card > .el-tabs__content {
    padding: 10px;
}
</style>
